<template>
  <div>
    <h3>Estadísticas de mis actividades:</h3>
    <b-row class="match-height">
        <b-col
          xl="2"
          md="4"
          sm="6"
        >
          <statistic-card-vertical
            icon="GlobeIcon"
            :statistic="statistics.total"
            statistic-title="Totales"
            color="info"
          />
        </b-col>
        <b-col
          xl="2"
          md="4"
          sm="6"
        >
          <statistic-card-vertical
            color="secondary"
            icon="PlayIcon"
            :statistic="statistics.new"
            statistic-title="Nuevas"
          />
        </b-col>
        <b-col
          xl="2"
          md="4"
          sm="6"
        >
          <statistic-card-vertical
            color="info"
            icon="ClipboardIcon"
            :statistic="statistics.open"
            statistic-title="Abiertas"
          />
        </b-col>
        <b-col
          xl="2"
          md="4"
          sm="6"
        >
          <statistic-card-vertical
            color="success"
            icon="CheckIcon"
            :statistic="statistics.closed"
            statistic-title="Cerradas"
          />
        </b-col>
        <b-col
          xl="2"
          md="4"
          sm="6"
        >
          <statistic-card-vertical
            color="warning"
            icon="FlagIcon"
            :statistic="statistics.delayed"
            statistic-title="Cerradas con retraso"
          />
        </b-col>
        <b-col
          xl="2"
          md="4"
          sm="6"
        >
          <statistic-card-vertical
            hide-chart
            color="danger"
            icon="MehIcon"
            :statistic="statistics.cancelled"
            statistic-title="Canceladas"
          />
        </b-col>
      </b-row>
    </div>
</template>

<script>
import {
  BCard, BCardHeader, BCardTitle, BCardText, BCardBody, BRow, BCol, BMedia, BMediaAside, BAvatar, BMediaBody,
} from 'bootstrap-vue'
import StatisticCardVertical from '@core/components/statistics-cards/StatisticCardVertical.vue'
export default {
  components: {
    BRow,
    BCol,
    BCard,
    BCardHeader,
    BCardTitle,
    BCardText,
    BCardBody,
    BMedia,
    BAvatar,
    BMediaAside,
    BMediaBody,
    StatisticCardVertical
  },
  data(){
    return{
      statistics:{
        total:0,
        new:0,
        open:0,
        closed:0,
        delayed:0,
        cancelled:0,
      }
    }
  },
  methods:{
    getStatistics(){
      this.$http.get('dashboard/statistics').then(res=>{
        this.statistics = res.data.activities
      }).catch(err=>{
        console.log(err)
      })
    }
  },
  mounted(){
    this.getStatistics()
  }
 
}
</script>
